> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Registry Artifacts Backfill

> Start a workflow to backfill artifacts for selected versions.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /admin/registry/versions/artifacts/backfill
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/registry/versions/artifacts/backfill:
    post:
      tags:
        - admin:registry
      summary: Start Registry Artifacts Backfill
      description: Start a workflow to backfill artifacts for selected versions.
      operationId: admin:registry-start_registry_artifacts_backfill
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegistryArtifactsBackfillStartRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryArtifactsBackfillStartResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    RegistryArtifactsBackfillStartRequest:
      properties:
        version_ids:
          items:
            type: string
            format: uuid
          type: array
          minItems: 1
          title: Version Ids
      type: object
      required:
        - version_ids
      title: RegistryArtifactsBackfillStartRequest
      description: Request to start an artifact backfill workflow for selected versions.
    RegistryArtifactsBackfillStartResponse:
      properties:
        workflow_id:
          type: string
          title: Workflow Id
        requested_count:
          type: integer
          title: Requested Count
      type: object
      required:
        - workflow_id
        - requested_count
      title: RegistryArtifactsBackfillStartResponse
      description: Response after scheduling an artifact backfill workflow.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````